Get posts in a publication
GET
Retrieve a paginated list of published posts from a publication
publicationId*stringUnique identifier of the publication
cursor?stringCursor for pagination
limit?integerMaximum number of items to return (1-100, default: 10)
Range
1 <= value <= 100Default
10includeContent?|Include full content fields (markdown, json, staticHtml). Default: false
Posts retrieved successfully
application/json- response
items*array<>Array of items in this page
pagination*curl -X GET "https://example.com/v1/publications/string/posts"{ "items": [ { "id": "string", "title": "string", "imageUrl": "http://example.com", "imageAlt": "string", "publishedAt": "string", "updatedAt": "string", "subtitle": "string", "slug": "string", "staticHtml": "string", "json": "string", "markdown": "string", "coinId": "string", "categories": [ "string" ], "canonicalUrl": "http://example.com", "publishOnline": true, "communityId": "string", "authors": [ { "id": "string", "walletAddress": "string", "avatarUrl": "http://example.com", "publicationId": "string", "name": "string", "bio": "string" } ], "authorIds": [ "string" ], "views": 0, "status": "published" } ], "pagination": { "cursor": "string", "hasMore": true, "total": 0 }}